Subject: FVWM: FvwmButtons on 2.5.6

From: Subba Rao <[email-masked]>
Date: Tue, 11 Mar 2003 21:13:15 -0500

Hi

When I start my fvwm, the FvwmButtons does not list the last item listed in
the configuration.  When I do a "restart" then the buttons are displayed fine.
On startup, the last item "xeyes" is always outside the button bar.

My FvwmButtons configuration is listed below.

PS - One other question is where are the FVWM debug message logged to? I do not
see any in $HOME.

-- 
Subba Rao
[email-masked]

#------------------ FvwmButtons
*FvwmButtonsFore Black
*FvwmButtonsBack #c3c3c3
*FvwmButtonsFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
# Geometry - really likes to pick its own size, but giving a position is OK
*FvwmButtonsGeometry 65x500+7+1
*FvwmButtons(Swallow(UseOld,NoKill) "wmnd" "Exec wmnd -i eth0 &" Size 64 64, 1x1
+1+1)
*FvwmButtons(Swallow(UseOld,NoKill) "wmnd" "Exec wmnd -i eth1 &" Size 64 64, 1x1
+1+1)
*FvwmButtons(Swallow(UseOld,NoKill) "pclock" "Exec pclock --background=/home/sub
barao/paper.xpm -w --second-hand-color=red --second-hand-width=1 --second-hand-l
ength=25 --hands-width=3 &" Size 64 64, 1x1+1+1)
*FvwmButtons(Swallow(UseOld,NoKill) "wmdate" "Exec wmdate &" Size 64 64, 1x1+1+1
)
*FvwmButtons(Swallow(UseOld,NoKill) "wmcpuload" "Exec wmcpuload -bw &" Size 64 6
4, 1x1+1+1)
*FvwmButtons(Swallow(UseOld,NoKill) "wmmemload" "Exec wmmemload -bw &" Size 64 6
4, 1x1+1+1)
*FvwmButtons(Swallow(UseOld,NoKill) "wmxmms" "Exec wmxmms &" Size 64 64, 1x1+1+1
)
*FvwmButtons: (Action beep, ActionIgnoresClientWindow, Swallow xeyes "Exec exec
xeyes")

# Layout: specify rows or columns, not both
*FvwmButtonsRows 9

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 12 Mar 2003 09:22:16 +0100

> On startup, the last item "xeyes" is always outside the button bar.

I don't see why your xeyes refuses to be swallowed st first, but
there are syntax errors in your config file (see below)

> PS - One other question is where are the FVWM debug message logged to? I do not

All the messages are sent to the X console.

> *FvwmButtons(Swallow(UseOld,NoKill) "wmnd" "Exec wmnd -i eth0 &" Size 64 64, 1x1
  ^^^^
> *FvwmButtons(Swallow(UseOld,NoKill) "wmnd" "Exec wmnd -i eth1 &" Size 64 64, 1x1
  ^^^^

You are trying to place all the buttons in the same slot, and the
slot is not even within the button bar.  You want to place the
buttons at

  1x1+0+0
  1x1+0+1
  1x1+0+2
  ...

But then, there seems to be a bug in the parsing of the Size
option and the geometry part is not understood by FvwbButtons, so
it does not hurt.  I will fix this bug, but then you have to fix
the errors in your config file too.  And you should separate
options with commas.

> # Layout: specify rows or columns, not both

Bye

Dominik ^_^  ^_^